Call Me Back module
Endpoints
Endpoints for managing configuration for Call Me Back widgets, websites and buttons
GET
/callmeback/websites Returns collection of Campaign resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/websites HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 7597,
"allowed_countries": "value",
"button_id": 8754,
"created_at": "2018-07-22 20:23:48",
"culture": 3,
"ddi": 8998,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 5,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/settings Returns collection of Campaign resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/settings HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8464,
"allowed_countries": "value",
"button_id": 8484,
"created_at": "2024-07-12 04:44:01",
"culture": 2,
"ddi": 7429,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 2,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
POST
/callmeback/settings Creates new Call Me Back settings resource
Parameters
JSON body attributes:
button_id integer
name string
position string
floating_icon boolean
culture string
allowed_countries undefined
show_to_allowed_countries_only boolean
welcome_screen_msg string
privacy_policy_url string
ddi_e164 integer
max_call_rate float
Float value.
Float value.
Example Request
POST /v1.1/voipstudio/callmeback/settings HTTP/1.1
Host: l7api.com
{
"button_id": 988,
"name": "abcd",
"position": "abcd",
"floating_icon": true,
"culture": "abcd",
"allowed_countries": "abcd",
"show_to_allowed_countries_only": true,
"welcome_screen_msg": "abcd",
"privacy_policy_url": "abcd",
"ddi_e164": 310,
"max_call_rate": "100.00"
}
Responses
201 Created
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 6409,
"allowed_countries": "value",
"button_id": 1618,
"created_at": "2025-02-24 12:37:28",
"culture": 1,
"ddi": 8285,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 2,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
GET
/callmeback/settings/{id} Returns Website resource for given Id
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
GET /v1.1/voipstudio/callmeback/settings/56 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 720,
"allowed_countries": "value",
"button_id": 4843,
"created_at": "2024-12-11 17:11:06",
"culture": 2,
"ddi": 7628,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 7,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
PATCH
/callmeback/settings/{id} Updates existing CallMeBackSetting resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
JSON body attributes:
button_id integer
name string
position string
floating_icon boolean
culture string
allowed_countries undefined
show_to_allowed_countries_only boolean
welcome_screen_msg string
privacy_policy_url string
ddi_e164 integer
max_call_rate float
Float value.
Float value.
Example Request
PATCH /v1.1/voipstudio/callmeback/settings/92 HTTP/1.1
Host: l7api.com
{
"button_id": 245,
"name": "abcd",
"position": "abcd",
"floating_icon": true,
"culture": "abcd",
"allowed_countries": "abcd",
"show_to_allowed_countries_only": true,
"welcome_screen_msg": "abcd",
"privacy_policy_url": "abcd",
"ddi_e164": 411,
"max_call_rate": "100.00"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9778,
"allowed_countries": "value",
"button_id": 3093,
"created_at": "2024-11-10 02:26:41",
"culture": 0,
"ddi": 5711,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 5,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
DELETE
/callmeback/settings/{id} Deletes existing resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
DELETE /v1.1/voipstudio/callmeback/settings/39 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
401 Unauthorized
403 Access denied
Example Response
HTTP/1.1 204 OK
GET
/callmeback/cdrs Returns collection of Cdr resources assigned to CallMeBack
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8363,
"allowed_countries": "value",
"button_id": 8843,
"created_at": "2017-05-18 14:42:04",
"culture": 0,
"ddi": 487,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 5,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/visitors Returns collection of Visitor resources assigned to CallMeBack
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/visitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1084,
"allowed_countries": "value",
"button_id": 112,
"created_at": "2020-12-26 17:49:20",
"culture": 2,
"ddi": 9013,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 5,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/buttons/{id} Returns CallMeBackButton resource for given Id
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
GET /v1.1/voipstudio/callmeback/buttons/43 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7632,
"allowed_countries": "value",
"button_id": 6283,
"created_at": "2021-06-21 16:05:05",
"culture": 1,
"ddi": 1357,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 1,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
PATCH
/callmeback/buttons/{id} Creates new Call Me Button resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
JSON body attributes:
name string
data_online string
data_offline string
Example Request
PATCH /v1.1/voipstudio/callmeback/buttons/87 HTTP/1.1
Host: l7api.com
{
"name": "abcd",
"data_online": "abcd",
"data_offline": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9118,
"allowed_countries": "value",
"button_id": 2461,
"created_at": "2018-08-02 05:42:22",
"culture": 0,
"ddi": 1554,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 4,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
DELETE
/callmeback/buttons/{id} Deletes existing resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
DELETE /v1.1/voipstudio/callmeback/buttons/58 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
401 Unauthorized
403 Access denied
Example Response
HTTP/1.1 204 OK
POST
/callmeback/buttons Creates new CallMeBackButton resource
Parameters
Example Request
POST /v1.1/voipstudio/callmeback/buttons HTTP/1.1 Host: l7api.com
Responses
201 Created
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 6818,
"allowed_countries": "value",
"button_id": 2424,
"created_at": "2016-12-30 10:48:00",
"culture": 2,
"ddi": 4063,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 0,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}